#include <avr/io.h>
#include <stdio.h>
#include <stdint.h>

int main(void)
{
  int8_t a = 2, b = 3, c;
  double x = 2, y = 3, z;
	
  //operace nad celými čísly:	
  printf("%i + %i = %i\n", a, b, a + b);
  printf("%i - %i = %i\n", a, b, a - b);
  printf("%i * %i = %i\n", a, b, a * b);
  printf("%i / %i = %i\n", a, b, a / b);
  //operace nad reálnými čísly:
  printf("%f + %f = %f\n", x, y, x + y);
  printf("%f - %f = %f\n", x, y, x - y);
  printf("%f * %f = %f\n", x, y, x * y);
  printf("%f / %f = %f\n", x, y, x / y);
	
  //v obou případech se vypočítá celočíselný podíl:	
  c = a / b;
  z = a / b;
  printf("c = %i, z = %f\n", c, z);
	
  while (1)
  {
  }
}

